Package org.apache.tapestry5.grid

## Class GridPaginationModelImpl

- java.lang.Object
- - org.apache.tapestry5.BaseOptimizedSessionPersistedObject
  - - org.apache.tapestry5.grid.GridPaginationModelImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `GridPaginationModel`, `OptimizedSessionPersistedObject`

      public class GridPaginationModelImpl
      extends BaseOptimizedSessionPersistedObject
      implements GridPaginationModel

  Standard implementation of `GridPaginationModel`.
  Since:
    5.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GridPaginationModelImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Integer` | `getCurrentPage()` |
    `java.lang.Boolean` | `getSortAscending()` |
    `java.lang.String` | `getSortColumnId()` |
    `void` | `setCurrentPage​(java.lang.Integer currentPage)` |
    `void` | `setSortAscending​(java.lang.Boolean sortAscending)` |
    `void` | `setSortColumnId​(java.lang.String sortColumnId)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.apache.tapestry5.BaseOptimizedSessionPersistedObject

      `checkAndResetDirtyMarker, markDirty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GridPaginationModelImpl

          public GridPaginationModelImpl()

  - ### Method Detail

    - #### getSortColumnId

          public java.lang.String getSortColumnId()

      Specified by:
        `getSortColumnId` in interface `GridPaginationModel`

    - #### setSortColumnId

          public void setSortColumnId​(java.lang.String sortColumnId)

      Specified by:
        `setSortColumnId` in interface `GridPaginationModel`

    - #### getSortAscending

          public java.lang.Boolean getSortAscending()

      Specified by:
        `getSortAscending` in interface `GridPaginationModel`

    - #### setSortAscending

          public void setSortAscending​(java.lang.Boolean sortAscending)

      Specified by:
        `setSortAscending` in interface `GridPaginationModel`

    - #### getCurrentPage

          public java.lang.Integer getCurrentPage()

      Specified by:
        `getCurrentPage` in interface `GridPaginationModel`

    - #### setCurrentPage

          public void setCurrentPage​(java.lang.Integer currentPage)

      Specified by:
        `setCurrentPage` in interface `GridPaginationModel`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`